import socket

def main():
    s = socket.socket()

    # Binding to all interfaces - server will be accessible to other hosts!
    ai = socket.getaddrinfo("0.0.0.0", 8080)
    print("Bind address info:", ai)
    addr = ai[0][-1]

    s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
    s.bind(addr)
    s.listen(5)

    while True:
        try:
            client_sock, client_addr = s.accept()
            
            print("Client address:", client_addr)
            # print("Client socket:", client_sock)
            client_stream = client_sock.makefile("rwb")

            req = client_stream.readline()
            print("Request: ", req)
            if req != b"" and req != b"\r\n":
                for i in range(25600):
                    client_sock.send("{:1022d}\r\n".format(i).encode())
        except KeyboardInterrupt:
            raise
        except Exception as err:
            print("Error in transfer: ", err)
        finally:
            try:
                client_sock.close()
                client_stream.close()
            except:
                pass

main()

